"""
Pydantic schemas for TOAR database

"""

from typing import List

from pydantic import BaseModel

class OrganisationBase(BaseModel):
    id: int = None
    name: str
    longname: str
    kind: str
    city: str
    postcode: str
    street_address: str
    country: str
    homepage: str


class OrganisationCreate(OrganisationBase):
    pass


class Organisation(OrganisationBase):
    id: int

    class Config:
        orm_mode = True


class PersonBase(BaseModel):
    id: int = None
    name: str
    email: str
    phone: str
    isprivate: bool


class PersonCreate(PersonBase):
    pass


class Person(PersonBase):
    id: int

    class Config:
        orm_mode = True


